Installation wheezy: problème de carte graphique

Bonjour à tous,

je vous écris après avoir galéré environ 10h par moi-même.

J’ai tenté d’upgrader ma debian squeze en wheezy hier.
J’ai un problème de pilote de carte graphique car gnome ne se lance par correctement.
ma carte graphique est une radeon HD 4650

Après d’innombrables tentatives (avec le .run d’AMD, le pilote propriétaire fglrx-legacy-driver et le pilote libre xserver-xorg-video-radeon) je suis reparti de 0 pour le driver libre de carte graphique.

Voici les opérations:

apt-get autoremove --purge fglrx*
apt-get autoremove --purge
apt-get install firmware-linux-nonfree
apt-get install xserver-xorg-video-radeon
rm /etc/X11/xorg.conf
apt-get autoremove --purge gdm3
apt-get install gdm3

Puis j’ai relancé gdm3

invoke-rc.d gdm3 restart

Et là j’ai crié victoire car gnome marchait (et j’avais accès au gnome-control-center). Puis j’ai rebooté et patatras gnome ne se lancait plus correctement (j’avais mon fond d’écran, la souris et rien d’autre!).

Du coup je me suis dit je vais au moins avoir accès au gnome-panel avec le logiciel propriétaire. Donc j’ai retenté d’installer le driver propriétaire fglrx-legacy-driver (après avoir enlevé le driver libre):

apt-get install fglrx-legacy-driver

Et là apt refuse de l’installer!!:

Les paquets suivants contiennent des dépendances non satisfaites :
 fglrx-legacy-driver : Dépend: glx-alternative-fglrx (>= 0.3) mais 0.2.2 devra être installé
                       Recommande: fglrx-legacy-modules-dkms (= 8.97.100.7-3~bpo70+1) mais ne sera pas installé ou
                                   fglrx-kernel-8.97.100.7
                       Recommande: libgl1-fglrx-legacy-glx-i386 mais il n'est pas installable
                       Recommande: fglrx-legacy-atieventsd mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Je suis perdu… :unamused: du coup je lance window maker en attendant.

voici mon noyau actuel:

uname -r
3.2.0-4-amd64

voici mon source.list

#wheezy
deb http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ wheezy main contrib non-free

## wheezy security
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

## wheezy multimedia
#pour lame => pour encoder en mp3
#pour flashplayer-mozilla
deb http://deb-multimedia.org/ wheezy main non-free


#pour flashplugin-nonfree et le pilote carte graphique
deb     http://ftp.debian.org/debian wheezy-backports main contrib non-free
deb-src http://ftp.debian.org/debian wheezy-backports main contrib non-free

Merci d’avance pour votre aide, là je suis paumé…

Vincent

Salut

Pour le pilote libre xserver-xorg-video-radeon il faut installer le paquet firmware-linux-nonfree.

Et installe aussi xserver-xorg-video-ati.

[quote=“gik”]Salut

Pour le pilote libre xserver-xorg-video-radeon il faut installer le paquet firmware-linux-nonfree.

Et installe aussi xserver-xorg-video-ati.[/quote]

Bonjour gik,

j’avais bien installé le paquet firmware-linux-nonfree mais effectivement je n’avais pas installé xserver-xorg-video-ati.

Je l’ai fait et ça marche (presque) parfaitement! Merci beaucoup.
Je dis presque parce que quand je reboote et me reconnecte à gnome l’écran se “freeze” à la moindre de mes commandes. Du coup je me mets en console et je relance gdm3 avec un:

invoke-rc.d gdm3 restart

et là tout marche.

2 petites questions annexes:

  1. comment puis-je me passer ce cette petite bidouille
  2. sauriez-vous pourquoi maintenant j’ai des dépendances non résolues sur le driver propriétaires (ça c’est juste de la curiosité vu que le driver libre marche maintenant).

Encore une fois merci gik mon problème est à 95% résolu! :041

Vincent

Désinstalle gdm3 et remplace-le par slim.
De cette façon tu sauras très vite si ton problème est du à gdm3.

[quote=“vv222”]Désinstalle gdm3 et remplace-le par slim.
De cette façon tu sauras très vite si ton problème est du à gdm3.[/quote]

Hello vv22,
alors j’ai remplacé gdm3 par slim.
Au boot la différence c’est que le serveur grapphique ne se lance pas automatiquement.
Du coup je fais un:

donc c’est un peu pareil que pour le gdm3. Je suis obligé d’intervenir.
Du coup j’ai remis gdm3.

Bon no souci en bon linuxien adepte de debian j’aime bien me fouetter avec des orties :wink: .
Allez qu’on ne me dise juste pas que c’est user-friendly :dance:

Hé oui quoi on fait partie de l’élite: les gens qui savent installer debian quoi…

:mrgreen:

Youpie les amis j’ai trouvé ce qui clochait dans mon lancement.

En fait j’ai remarqué que dans mes fichiers /etc/rc.d (n variant de 2 à 5) il y avait gmd3 mais aussi gdm et kdm.

N’écoutant que mon courage j’y ai été comme un bourrin et j’ai enlevé gdm et kdm des fichiers /ect/rc.d
à l’aide des commandes:

update-rc.d kdm remove
update-rc.d gdm remove

Et là miracle gdm3 se lance bien au démarrage. Victoire! Un jour j’arriverai à faire un changement de version de debian sans encombre. Mais je progresse: je n’ai mis que 48h avant d’avoir un système foncionnel sous wheezy en partant de squeeze. Je me félicite donc :mrgreen: et vous remercie de votre aide toujours précieuse :041

Vincent

Ça vaudrait le coup de vérifier que tu n’as pas aussi les paquets gdm et kdm d’installés.

Hello vv222,

je crois bien que gdm est “à moitié installé” et que kdm est installé.

En effet si je fais:

dpkg --status gdm

J’obtiens:

Package: gdm
Status: deinstall ok config-files
Priority: optional
Section: gnome
Installed-Size: 16548
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Architecture: amd64
Version: 2.20.11-4
Config-Version: 2.20.11-4
Provides: x-display-manager
Depends: libart-2.0-2 (>= 2.3.18), libatk1.0-0 (>= 1.29.3), libattr1 (>= 2.4.41-1), libaudit0, libc6 (>= 2.3), libcairo2 (>= 1.2.4), libdbus-1-3 (>= 1.0.2), libdbus-glib-1-2 (>= 0.78), libdmx1, libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libglade2-0 (>= 1:2.6.1), libglib2.0-0 (>= 2.24.0), libgnomecanvas2-0 (>= 2.11.1), libgtk2.0-0 (>= 2.18.0), libpam0g (>= 0.99.7.1), libpango1.0-0 (>= 1.14.0), librsvg2-2 (>= 2.26.0), libselinux1 (>= 1.32), libwrap0 (>= 7.6-4~), libx11-6, libxau6, libxdmcp6, libxext6, libxi6, libxinerama1, libxml2 (>= 2.7.4), debconf (>= 0.5) | debconf-2.0, adduser, libpam-modules (>= 0.72-1), libpam-runtime (>= 0.76-13.1), gnome-session | x-session-manager | x-window-manager | x-terminal-emulator, gksu (>= 1.0.7), lsb-base (>= 3.2-14), librsvg2-common
Recommends: whiptail | dialog, zenity, gdm-themes, xserver-xephyr | xnest, xserver-xorg
Suggests: locales, pm-utils, libpam-gnome-keyring
Conflicts: fast-user-switch-applet (<< 2.17.4), gnome-panel (<< 2.19.2), gnome-screensaver (<< 2.17.7), gnome-session (<< 2.19.2)
Conffiles:
 /etc/init.d/gdm d655d8b37df0ab732a5c3aaad845fd98
 /etc/insserv.conf.d/gdm 82464ac174651f1589433a66fa57fa48
 /etc/gdm/PostLogin/Default.sample 2c3d901312c1bc31997ba6ba53b5f18a
 /etc/gdm/modules/AccessDwellMouseEvents b728f3702edc65820cba9a21ea238166
 /etc/gdm/modules/factory-AccessDwellMouseEvents b728f3702edc65820cba9a21ea238166
 /etc/gdm/modules/factory-AccessKeyMouseEvents 4bdb261d7e6ff1c5a9c109b4699ef5bd
 /etc/gdm/modules/AccessKeyMouseEvents 4bdb261d7e6ff1c5a9c109b4699ef5bd
 /etc/gdm/Init/Default 7ccbd175154c6ff73fbe4eff9711cc34
 /etc/gdm/XKeepsCrashing 707f1348da2ccd30f330cb0301adac54
 /etc/gdm/locale.conf 3a304ecef65088df6457a8443b2acee7
 /etc/gdm/PreSession/Default a1a563082a9fa5ad2510b04dcc94f355
 /etc/gdm/gdm.conf 5a344c36d142cad2a109e1892b5354bd
 /etc/gdm/PostSession/Default 08a7c64c8b7e2ca08faa132e63e3e584
 /etc/gdm/Xsession 25a9db180a5c9e0035a74789ef2073da
 /etc/pam.d/gdm af1bca30e47a53b61bf478b46a36913c
 /etc/pam.d/gdm-autologin b60183dee52f58dbe93973d1958817e4
Description: GNOME Display Manager
 gdm provides the equivalent of a "login:" prompt for X displays- it
 pops up a login window and starts an X session.
 .
 It provides all the functionality of xdm, including XDMCP support for
 managing remote displays.
 .
 The greeting window is written using the GNOME libraries and hence
 looks like a GNOME application- even to the extent of supporting
 themes! By default, the greeter is run as an unprivileged user for
 security.

Si je fais un:

dpkg --status kdm

J’obtiens:

Package: kdm
Status: install ok installed
Priority: optional
Section: x11
Installed-Size: 4046
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Architecture: amd64
Source: kde-workspace
Version: 4:4.8.4-6
Replaces: kde-kdm-themes, kdmtheme
Provides: x-display-manager
Depends: kde-runtime, libc6 (>= 2.11), libck-connector0 (>= 0.2.1), libdbus-1-3 (>= 1.0.2), libkdecore5 (>= 4:4.8), libkdeui5 (>= 4:4.8), libkio5 (>= 4:4.8), libknewstuff3-4 (>= 4:4.8), libkworkspace4abi1 (= 4:4.8.4-6), libpam0g (>= 0.99.7.1), libqimageblitz4 (>= 1:0.0.4), libqt4-svg (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.8.0), libstdc++6 (>= 4.1.1), libx11-6, libxau6, libxdmcp6, libxtst6, debconf (>= 0.5) | debconf-2.0, lsb-base (>= 3.2-14), consolekit, kde-workspace-kgreet-plugins (= 4:4.8.4-6), adduser, kde-wallpapers-default
Recommends: logrotate, xserver-xorg | xserver, kde-workspace | x-session-manager | x-window-manager, xterm | x-terminal-emulator
Suggests: kdepasswd, kde-wallpapers
Breaks: kde-kdm-themes, kdmtheme
Conffiles:
 /etc/logrotate.d/kdm 8c9e62d059711c10bff151ffb78f6228
 /etc/kde4/kdm/README e22153008a45ad278940020fc4594e70
 /etc/kde4/kdm/Xreset 514c4b4a0f42640916fac03574f843d9
 /etc/kde4/kdm/Xaccess 03b7b6cd8eacc152567b7f4a3ae9f537
 /etc/kde4/kdm/Xstartup ad83c25cc0bcc63293918b6e9dd0738d
 /etc/kde4/kdm/backgroundrc 6bc033893e97a0770f6f92c2efde55a8
 /etc/kde4/kdm/kdmrc a9b2ec03367c927f50cdcce2cb453985
 /etc/kde4/kdm/Xsession 9ae86149a17f326a256e338bd352e11d
 /etc/kde4/kdm/kdm.options 722b98e1bf38f59094ad1a5acb69261d
 /etc/kde4/kdm/Xsetup e2fe2d1f60e9775c8dd97f4a2773809e
 /etc/kde4/kdm/Xwilling ab97870cde0424d576375813874a304e
 /etc/init.d/kdm 72a2405cfa5c0dd45c30e98b7fc97491
 /etc/dbus-1/system.d/org.kde.kcontrol.kcmkdm.conf f3a5c84af8ce5582747f760c20308e45
 /etc/pam.d/kdm f8e043e7de6dd93d537ffe72a2fbae75
 /etc/pam.d/kdm-np 527a9b02acd0858ea7e061e29e3f127c
 /etc/insserv.conf.d/kdm d3a7ab4b48c90e2a0b609fcfa3b8b064
Description: KDE Display Manager for X11
 KDM manages a collection of X servers running on local or remote machines.
 It allows users to easily log into their preferred desktop environment, connect
 to a remote XDMCP server, or shut down the system.
 .
 KDM supports custom themes and can display a list of users with icons.
 Additional user icons can be found in the 'kdepasswd' package.
 .
 This package is part of the KDE base workspace module.
Homepage: http://www.kde.org/

Dois-je en conclure qu’il faut que je purge kdm et gdm avec les commandes:

apt-get autoremove --purge gdm
apt-get autoremove --purge kdm

?

(du coup j’enlève le statut corrigé du sujet en attendant une réponse.

Merci,

Vincent

[quote=“un_singe_en_hiver”]Dois-je en conclure qu’il faut que je purge kdm et gdm avec les commandes:

apt-get autoremove --purge gdm
apt-get autoremove --purge kdm

?[/quote]
Exactement.
Sois prudent quand même avec autoremove.
Je te conseille de les désinstaller simplement avec un remove --purge, et ne lancer un autoremove qu’ensuite en prenant le temps de vérifier ce qu’il veut t’enlever.

[quote=“un_singe_en_hiver”]Du coup je me suis dit je vais au moins avoir accès au gnome-panel avec le logiciel propriétaire. Donc j’ai retenté d’installer le driver propriétaire fglrx-legacy-driver (après avoir enlevé le driver libre):

Et là apt refuse de l’installer!!:

Les paquets suivants contiennent des dépendances non satisfaites : fglrx-legacy-driver : Dépend: glx-alternative-fglrx (>= 0.3) mais 0.2.2 devra être installé Recommande: fglrx-legacy-modules-dkms (= 8.97.100.7-3~bpo70+1) mais ne sera pas installé ou fglrx-kernel-8.97.100.7 Recommande: libgl1-fglrx-legacy-glx-i386 mais il n'est pas installable Recommande: fglrx-legacy-atieventsd mais ne sera pas installé E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Je suis perdu…[/quote]
Les backports ont une priorité plus faible (100 pour une priorité normale à 500) donc le paquet glx-alternative-fglrx essaie de s’installer en version stable 0.2.2 d’où l’échec de la commande. Il faut ajouter une option à apt-get

EDIT
Mais le pilote radeon est très bien aussi :smiley:

Merci jcsm33 c’est très clair.

Vincent

[quote=“vv222”][quote=“un_singe_en_hiver”]Dois-je en conclure qu’il faut que je purge kdm et gdm avec les commandes:

apt-get autoremove --purge gdm
apt-get autoremove --purge kdm

?[/quote]
Exactement.
Sois prudent quand même avec autoremove.
Je te conseille de les désinstaller simplement avec un remove --purge, et ne lancer un autoremove qu’ensuite en prenant le temps de vérifier ce qu’il veut t’enlever.[/quote]

Bonjour vv222. Malheureusement dans ma fougue je n’avais pas attendu de réponse et j’ai fait un autoremove. Et depuis j’ai des soucis au boot de ma session: je suis quasiment à chaque fois obligé de me logguer en mode ligne de commande et de redémarrer gdm3 avec la commande:

invoke-rc.d gdm3 restart

J’ai du virer quelque chose qu’il ne fallait pas mais quoi… :icon-rolleyes:

J’ai tenté de réinstaller gdm3 mais ça n’arrange rien. Snif…